%define		plugin rrdclean
%define		php_min_version 5.0.0
%include	/usr/lib/rpm/macros.php
Summary:	Cacti RRD File Cleaner
Name:		cacti-plugin-%{plugin}
Version:	0.41
Release:	7
License:	GPL v2
Group:		Applications/WWW
Source0:	http://docs.cacti.net/_media/plugin:rrdclean-v%{version}.tgz
# Source0-md5:	e9dd1eeea27003ebb5239a1fa08b73ef
Patch0:		paths.patch
URL:		http://docs.cacti.net/plugin:rrdclean
Requires:	cacti >= 0.8.7
Requires:	cacti(pia) >= 2.4
Requires:	php(core) >= %{php_min_version}
Requires:	php(pcre)
Requires:	php(date)
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%define		cactidir		/usr/share/cacti
%define		plugindir		%{cactidir}/plugins/%{plugin}
%define		rradir			/var/lib/cacti/rra

%description
This plugin analyzes many cacti db structures to determine unused rrd
files.

%prep
%setup -qc
cd %{plugin}
%patch0 -p1
cd ..

mv %{plugin}/{README,LICENSE} .

# cleanup backups after patching
find '(' -name '*~' -o -name '*.orig' ')' -print0 | xargs -0 -r -l512 rm -f

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT{%{plugindir},%{rradir}/{backup,archive}}
cp -a %{plugin}/* $RPM_BUILD_ROOT%{plugindir}

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc README
%{plugindir}
%attr(770,root,http) %dir %{rradir}/archive
%attr(770,root,http) %dir %{rradir}/backup
%changelog
* Wed Dec 11 2013 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/cacti-plugin-rrdclean.git;a=log;h=master

* Tue Dec 10 2013 Jacek Konieczny <j.konieczny@eggsoft.pl> 4e0354a
- R: php-date -> php(date)

* Thu Aug 23 2012 Elan Ruusamäe <glen@delfi.ee> 6b0491d
- use php(core) as dependency to require php version
- release 5 (by relup.sh)

* Tue Aug 07 2012 Elan Ruusamäe <glen@delfi.ee> 6f9c825
- use virtual php extension deps (to be independant of php version)
- release 5 (by relup.sh)

* Thu Oct 27 2011 Elan Ruusamäe <glen@pld-linux.org> ed0bc10
- up to 0.41; fix-paths-handling.patch, warning-fixes.patch, rrdmove-fixes.patch applied upstream

* Tue Dec 14 2010 Elan Ruusamäe <glen@pld-linux.org> ed55a77
- fix rrdmove, it was totally broken, i.e created only parent dir of parent dir of target rrd, so simplify and make rrdclean_create_path work on dir

* Tue Dec 14 2010 Elan Ruusamäe <glen@pld-linux.org> 92464a4
- arhg, E_ALL on the other hand is constant

* Tue Dec 14 2010 Elan Ruusamäe <glen@pld-linux.org> 8d19e11
- use string not undefined constant

* Tue Dec 14 2010 Elan Ruusamäe <glen@pld-linux.org> 8384670
- respect paths set from configuration
- fix wrong param reference as well

* Tue Dec 14 2010 Elan Ruusamäe <glen@pld-linux.org> 412a917
- up to 0.40
- add backup and archive dirs
- updated deps

* Sun Oct 05 2008 Elan Ruusamäe <glen@pld-linux.org> ef7449c
- simplify macros and cleanups

* Wed Dec 26 2007 Elan Ruusamäe <glen@pld-linux.org> 7fb0b86
- cleanups

* Thu Nov 22 2007 Michał 'Wolvverine' Panasiewicz <wolvverine@pld-linux.org> fd6c2ae
- rel.1, typo

* Wed Nov 21 2007 Michał 'Wolvverine' Panasiewicz <wolvverine@pld-linux.org> fdd1db5
- v.0.32

* Mon Feb 12 2007 Elan Ruusamäe <glen@pld-linux.org> 3ccbe87
- tabs in preamble

* Mon Feb 12 2007 Jan Rękorajski <baggins@pld-linux.org> 5f9d6a2
- converted to UTF-8

* Tue Apr 04 2006 Jakub Bogusz <qboosh@pld-linux.org> 533e83e
- pl desc

* Sun Apr 02 2006 Michał 'Wolvverine' Panasiewicz <wolvverine@pld-linux.org> b757d6f
- NFY

